WireMock
action Wiremock

# populate_from_dir

Adds all mappings found in the passed folder

Run it now
View details

Type | action
Module | chaoswm.actions
Name | populate_from_dir
Return | list

Usage

JSON

    {
      "name": "populate-from-dir",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "populate_from_dir"
      }
    }

YAML

    name: populate-from-dir
    provider:
      func: populate_from_dir
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dir | string | ”.” | No | Directory | Directory from which load and apply delays from

Returns the list of ids of the mappings added

Signature

    def populate_from_dir(
            dir: str = '.',
            configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `reset`

  Resets the WireMock server (deletes all mappings)
- WireMock
  action Wiremock

  ## `fixed_delay`

  Adds a fixed delay to a list of mappings
- WireMock
  action Wiremock

  ## `fixed_delay`

  Adds a fixed delay to a list of mappings